Skip to main content
POST
Get Advanced Webhook Config
Use this API to retrieve the current advanced webhook configuration for a workspace.
This endpoint uses API-key-level auth: pass x-velt-api-key and x-velt-auth-token as headers. You can obtain these from the Get Auth Tokens endpoint.
This endpoint is for Advanced Webhooks. For Basic Webhooks, use Get Webhook Config.
Advanced webhooks must be available for your workspace. If the feature is not enabled for your workspace, this endpoint returns a FAILED_PRECONDITION error. Contact us to enable advanced webhooks.

Endpoint

POST https://api.velt.dev/v2/workspace/advancedwebhookconfig/get

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

This endpoint does not require a request body.

Example Request

Example Response

Success Response

If advanced webhooks have never been configured for the workspace, all fields are returned with their defaults (isEnabled: false, encryptData: false, encodeData: false, publicKey: "", enableDataProtection: false).

Failure Response